MCP Tools Reference: calendarmcp.googleapis.com

ツール: suggest_time

1 つ以上のカレンダーで期間を提案します。

次のサンプルは、curl を使用して suggest_time MCP ツールを呼び出す方法を示しています。

Curl リクエスト
curl --location 'https://calendarmcp.googleapis.com/mcp/v1' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "suggest_time",
    "arguments": {
      // provide these details according to the tool MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

入力スキーマ

SuggestTime のリクエスト メッセージ。

SuggestTimeRequest

JSON 表現
{
  "attendeeEmails": [
    string
  ],
  "startTime": string,
  "endTime": string,

  "timeZone": string

  "durationMinutes": integer

  "preferences": {
    object (Preferences)
  }
}
フィールド
attendeeEmails[]

string

必須。空き時間を確認する参加者のメールアドレス。

startTime

string

必須。クエリ間隔の開始(ISO 8601)。

endTime

string

必須。クエリ間隔の終了(ISO 8601)。

共用体フィールド _time_zone

_time_zone は次のいずれかになります。

timeZone

string

省略可。検索時間のタイムゾーン(IANA ID、例: Europe/Zurich)。デフォルト: start_time のオフセット。ない場合はユーザーのプライマリ タイムゾーン。

共用体フィールド _duration_minutes

_duration_minutes は次のいずれかになります。

durationMinutes

integer

省略可。空きスロットの最小時間(分)。デフォルト: 30

共用体フィールド _preferences

_preferences は次のいずれかになります。

preferences

object (Preferences)

候補日時を見つけるための設定。

設定

JSON 表現
{

  "startHour": string

  "endHour": string

  "excludeWeekends": boolean

  "pageSize": integer
}
フィールド

共用体フィールド _start_hour

_start_hour は次のいずれかになります。

startHour

string

希望する開始時間(「HH:mm」形式(24 時間形式))。

共用体フィールド _end_hour

_end_hour は次のいずれかになります。

endHour

string

希望する終了時間(「HH:mm」形式(24 時間形式))。

共用体フィールド _exclude_weekends

_exclude_weekends は次のいずれかになります。

excludeWeekends

boolean

週末を除外します。

共用体フィールド _page_size

_page_size は次のいずれかになります。

pageSize

integer

返すスロットの最大数。デフォルト: 5

出力スキーマ

SuggestTime に対するレスポンス メッセージ。

SuggestTimeResponse

JSON 表現
{
  "timeSlots": [
    {
      object (TimeSlot)
    }
  ]
}
フィールド
timeSlots[]

object (TimeSlot)

提案された時間枠。

TimeSlot

JSON 表現
{
  "startTime": string,
  "endTime": string,
  "durationMinutes": integer,
  "start": {
    object (DateOrDateTime)
  },
  "end": {
    object (DateOrDateTime)
  }
}
フィールド
startTime
(deprecated)

string

非推奨: 代わりに、start を使用してください。

endTime
(deprecated)

string

非推奨: 代わりに、end を使用してください。

durationMinutes
(deprecated)

integer

非推奨: 代わりに、startend を使用して期間を計算してください。

start

object (DateOrDateTime)

時間枠の開始時刻。

end

object (DateOrDateTime)

タイムスロットの終了時間。

DateOrDateTime

JSON 表現
{
  "date": string,
  "dateTime": string,
  "timeZone": string
}
フィールド
date

string

UTC の午前 0 時の ISO 8601 形式の日付(例: '2019-11-20T00:00:00Z')。

dateTime

string

ISO 8601 タイムスタンプ(例: '2019-11-20T08:19:06-07:00')。

timeZone

string

TZDB タイムゾーン名。

ツールのアノテーション

破壊的ヒント: ❌ | べき等ヒント: ✅ | 読み取り専用ヒント: ✅ | オープン ワールド ヒント: ❌

認可スコープ

次の OAuth スコープのいずれかが必要です。

  • https://www.googleapis.com/auth/calendar
  • https://www.googleapis.com/auth/calendar.readonly
  • https://www.googleapis.com/auth/calendar.events
  • https://www.googleapis.com/auth/calendar.events.freebusy
  • https://www.googleapis.com/auth/calendar.freebusy